<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">

<title>טוטו Extra 1X2 - תוכנת צמצום מהפכנית למילוי טוטו</title>

<meta name="KEYWORDS" content="טוטו, ווינר, וינר, טוטו עולמי, מילוי טוטו, המלצות טוטו, מומחים, צמצום, צימצום, תוכנת טוטו, כדורגל, הימורים, סטטיסטיקה, סטטיסטיקות טוטו, ליינים, יחסי הימור, שערי הימור">

<meta name="DESCRIPTION" content="תוכנת Extra 1X2 היא תוכנה חדשנית למלוי טפסי טוטו, אשר משפרת משמעותית את סיכויי הזכיה בהשואה לשיטות הקיימות.">

<style type="text/css">
<!--
.style2 {font-family: Arial, Helvetica, sans-serif}
.style4 {font-size: 10px}
.style5 {
	font-size: 24px;
	font-weight: bold;
	font-style: italic;
}
-->
</style>

</head>

<body class="style2" dir=rtl> 
  <table width="780" border="0" background="/images/yardtitle.gif" hspace="0" vspace="0" align="center"> 
    <tr> 
      <td height="38" colspan="2"><p>&nbsp;</p>    </td>
    </tr>
    <tr>
	  <td width="700" height="36" border="0" ><div align="center" class="style5"></div></td>
	  <td width="80" height="36" border="0"></td>
    </tr>
</table>
  <table width="780" border="1" align="center">
    <tr>
      <td width="774" bordercolor="#97E0F0">
<?php
$MahzorID = $_REQUEST['MahzorID'];
$NickHash = $_COOKIE['NickHash'];
$PWHash = $_COOKIE['PassHash'];
If ($_REQUEST['ByPass'] != "")
{
	$NickHash = $_REQUEST['ByPass'];
}

If (substr($MahzorID,0,2) == "ra")
{
	$ngames = 16;
	$RankField = "TotoRank";
}
Else
{
	$ngames = 15;
	$RankField = "OlamiRank";
}

$rc = '';

$ndoubles = 0;
$ntriples = 0;

For ($i = 1; $i <= $ngames; $i += 1)
{
	$cguess='';
	$tguess=0;
	If ($_REQUEST['g'.$i.'m1']) 
	{
		$cguess = $cguess.'1';
		$tguess += 1;
	}
	If ($_REQUEST['g'.$i.'mx']) 
	{
		$cguess = $cguess.'X';
		$tguess += 1;
	}
	If ($_REQUEST['g'.$i.'m2']) 
	{
		$cguess = $cguess.'2';
		$tguess += 1;
	}
	
	If ($tguess == 0)
	{
		$rc = 'הניחוש שמילאת חלקי. בשלב זה יש למלא ניחוש לכל המשחקים.';
	}
	
	$guess[$i] = $cguess;
	$freetext[$i] = $_REQUEST['g'.$i.'text'];
	
	if ($tguess == 2)
	{
		$ndoubles += 1;
	}
	
	if ($tguess == 3)
	{
		$ntriples += 1;
	}
}

if ($rc == '')
{
	if ($ntriples > 4)
	{
		$rc = 'חרגת מכמות המשולשים המותרת (מותר עד 4 משולשים)';
	}
	elseif (($ndoubles + $ntriples) > 9)
	{
		$rc = 'חרגת מכמות הכפולים המותרת (מותר עד 5 כפולים)';
	}
}
	
$closeme = 0;

if ($rc == '')
{
	$dbusername = "ecusers";
	$dbpassword = "toto1X2";
	$dbhostname = "mysql281.secureserver.net:3306";	
	$dbh = mysql_connect($dbhostname, $dbusername, $dbpassword) or die('Error Connecting');
	$selected = mysql_select_db("ecusers",$dbh);
	$closeme = 1;
}

if ($rc == '')
{
	$isopenquery = "SELECT Line1 FROM MatchTable WHERE MahzorID='".$MahzorID."' AND MatchNum=0";
	$result = mysql_query($isopenquery) or die("Failed Query of ".$isopenquery);
	if (mysql_result($result, 0, 0) == "X")
	{
		$rc = "המחזור נסגר לשליחת טפסים. המלצתך לא נשלחה.";
	}
}

if ($rc == '')
{
	$query1 = "SELECT NickHash FROM GuessTable WHERE NickHash='".$NickHash."' AND MahzorID='".$MahzorID."'";
	$result1 = mysql_query($query1) or die("Failed Query of ".$query1);
	$nres = mysql_num_rows($result1);
	If ($nres > 0)
	{
		$rc = "שלחת כבר המלצה למחזור זה. מותר לפרסם המלצה אחת בלבד למחזור.";
	}
	Else
	{
		$query1 = "SELECT Nick, ".$RankField." FROM UsersTable WHERE NickHash='".$NickHash."'";
		if ($_REQUEST["ByPass"] == "")
		{
			$query1 = $query1." AND PassHash='".$PWHash."'";
		}
		$result1 = mysql_query($query1) or die("Failed Query of ".$query1);
		$nres = mysql_num_rows($result1);
		If ($nres == 0)
		{
			$rc = "עליך להיות משתמש רשום באתר.";
		}
		Else
		{
			$Nick = mysql_result($result1, 0, 0);
			$Rank = mysql_result($result1, 0, 1);
			if ($Rank == 0) {
				$Rank = 999999;
			}
			For ($i = 1; $i <= $ngames; $i += 1)
			{
				$currscore = 4-strlen($guess[$i]);
				$query1="INSERT INTO GuessTable ".
						"(Nick, NickHash, Rank, MahzorID, GameNum, Guess, Bonus, Penalty, FreeText) VALUES ".
						"( '".
						$Nick."', '".
						$NickHash."', ".
						$Rank.", '".
						$MahzorID."', ".
						$i.", '".
						$guess[$i]."', ".
						$currscore.",".
						"0, '".
						substr(preg_replace("/'/", "", $freetext[$i]),0,200)."' )";
				mysql_query($query1) or die("Failed Query... ".$query1);
			}
	
		}
		
		$query2 = "INSERT INTO ScoreTable (Nick, NickHash, MahzorID, Score) VALUES ('".$Nick."', '".$NickHash."', '".$MahzorID."', 0)";
		mysql_query($query2) or die("Failed Query... ".$query2);
		
	}
}

if ($closeme == 1) 
{
	mysql_close($dbh);
}

if ($rc == '')
{
	$rc = "הניחוש נשלח בהצלחה<BR><BR><a href=YardHome.aspx?lang=heb>חזרה לזירה</a>";
}
else
{
	$rc = $rc."<BR>לחץ על חזור בדפדפן כדי לחזור לערוך את ניחושך.";
}

?>


<p align="center"><strong><span style="font-size: 18px; font-weight: bold;"><? echo $rc ?></span></strong></p>
<p align="center">&nbsp;</p>
<p align="center"><a href="HomePage.aspx">לזירה</a></p>
		
		
       </td>
    </tr>
    <tr>
      <td height="15" bordercolor="#97E0F0"><div align="center" class="style4">&copy; Extra Chance 2007</div></td>
    </tr>
  </table>

<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
</body>
</html>
